# Created by pyp2rpm-3.3.2
%global pypi_name jsmin

Name:           python-%{pypi_name}
Version:        2.2.2
Release:        1%{?dist}
Summary:        JavaScript minifier

License:        MIT License
URL:            https://github.com/tikitu/jsmin/
Source0:        https://files.pythonhosted.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
 
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
jsmin JavaScript minifier.Usage .. code:: python from jsmin import jsmin with
open('myfile.js') as js_file: minified jsmin(js_file.read())You can run it as a
commandline tool also:: python -m jsmin myfile.jsNB: jsmin makes no attempt to
be compatible with ECMAScript 6 / ES.next / Harmony < The current maintainer
does not intend to add ES6-compatibility. If you would like to take over...

%package -n     python2-%{pypi_name}
Summary:        JavaScript minifier

%description -n python2-%{pypi_name}
jsmin JavaScript minifier.Usage .. code:: python from jsmin import jsmin with
open('myfile.js') as js_file: minified jsmin(js_file.read())You can run it as a
commandline tool also:: python -m jsmin myfile.jsNB: jsmin makes no attempt to
be compatible with ECMAScript 6 / ES.next / Harmony < The current maintainer
does not intend to add ES6-compatibility. If you would like to take over...

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        JavaScript minifier

%description -n python%{python3_pkgversion}-%{pypi_name}
jsmin JavaScript minifier.Usage .. code:: python from jsmin import jsmin with
open('myfile.js') as js_file: minified jsmin(js_file.read())You can run it as a
commandline tool also:: python -m jsmin myfile.jsNB: jsmin makes no attempt to
be compatible with ECMAScript 6 / ES.next / Harmony < The current maintainer
does not intend to add ES6-compatibility. If you would like to take over...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build
%{__python3} setup.py build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%{__python3} setup.py install --skip-build --root %{buildroot}
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{pypi_name}
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Sep 30 2019 mockbuilder - 2.2.2-1
- Initial package.